group "PricingStructureIndex.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 4 elements
Defined: | globally in fpml-riskdef-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
term | expiration | strike | generic

Content Model Elements (4):

  expiration, generic, | strike (in coordinate), term (in coordinate)

Known Usage Locations

- In definitions of global complexTypes (1):
  PricingDataPointCoordinate

Annotation
The index (an ordinate) of a pricing structure. The index expresses how far along a particular dimension (e.g. time, strike, etc.) a point is located.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="PricingStructureIndex.model"> <xsd:choice> <xsd:element name="term" type="TimeDimension"/> <xsd:element name="expiration" type="TimeDimension"/> <xsd:element name="strike" type="xsd:decimal"/> <xsd:element name="generic" type="GenericDimension"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
expiration

  Type: | TimeDimension, complex content

  A time dimension that represents the time to expiration of an option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expiration" type="TimeDimension"/>

generic

  Type: | GenericDimension, simple content

  Simple Content

  xsd:string

  XML Source (see within schema source)

  <xsd:element name="generic" type="GenericDimension"/>

strike

  Type: | xsd:decimal, predefined, simple content

  A numerical dimension that represents the strike rate or price of an option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="strike" type="xsd:decimal"/>

term

  Type: | TimeDimension, complex content

  A time dimension that represents the term of a financial instrument, e.g. of a zero-coupon bond on a curve, or of an underlying caplet or swap for an option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="term" type="TimeDimension"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.